### Function

# Gtk.render_layout

#### Declaration [src]

    void
    gtk_render_layout (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      PangoLayout* layout
    )

#### Description [src]

Renders `layout` on the coordinates `x`, `y`

#### Parameters

`context` | `GtkStyleContext`
| a `GtkStyleContext`
| Ownership is not transferred to the callee
`cr` | `cairo_t*`
| a #cairo_t
| Ownership is not transferred to the callee
`x` | `double`
| X origin
`y` | `double`
| Y origin
`layout` | `PangoLayout*`
| the `PangoLayout` to render
| Ownership is not transferred to the callee